VULKAN_HPP_NAMESPACE::FlagTraits< SubgroupFeatureFlagBits > Struct Reference

`#include <vulkan.hpp>`

## Public Types

enum

{ allFlags = VkFlags(SubgroupFeatureFlagBits::eBasic) | VkFlags(SubgroupFeatureFlagBits::eVote) | VkFlags(SubgroupFeatureFlagBits::eArithmetic) | VkFlags(SubgroupFeatureFlagBits::eBallot) | VkFlags(SubgroupFeatureFlagBits::eShuffle) | VkFlags(SubgroupFeatureFlagBits::eShuffleRelative) | VkFlags(SubgroupFeatureFlagBits::eClustered) | VkFlags(SubgroupFeatureFlagBits::eQuad) | VkFlags(SubgroupFeatureFlagBits::ePartitionedNV) }

## Detailed Description

Definition at line 30470 of file vulkan.hpp.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
allFlags |

Definition at line 30472 of file vulkan.hpp.

{
allFlags = VkFlags(SubgroupFeatureFlagBits::eBasic) | VkFlags(SubgroupFeatureFlagBits::eVote) | VkFlags(SubgroupFeatureFlagBits::eArithmetic) | VkFlags(SubgroupFeatureFlagBits::eBallot) | VkFlags(SubgroupFeatureFlagBits::eShuffle) | VkFlags(SubgroupFeatureFlagBits::eShuffleRelative) | VkFlags(SubgroupFeatureFlagBits::eClustered) | VkFlags(SubgroupFeatureFlagBits::eQuad) | VkFlags(SubgroupFeatureFlagBits::ePartitionedNV)
};

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::ePartitionedNV
@ ePartitionedNV
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eBasic
@ eBasic
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eVote
@ eVote
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eClustered
@ eClustered
VkFlags
uint32_t VkFlags
Definition: vulkan_core.h:64
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eQuad
@ eQuad
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eShuffle
@ eShuffle
VULKAN_HPP_NAMESPACE::FlagTraits< SubgroupFeatureFlagBits >::allFlags
@ allFlags
Definition: vulkan.hpp:30474
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eShuffleRelative
@ eShuffleRelative
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eBallot
@ eBallot
VULKAN_HPP_NAMESPACE::SubgroupFeatureFlagBits::eArithmetic
@ eArithmetic